Bug 26133 - Unneeded calls in detail.pl can be removed
Summary: Unneeded calls in detail.pl can be removed
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-04 11:57 UTC by Jonathan Druart
Modified: 2020-08-16 21:36 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26133: Remove GetMarc* calls in detail.pl (2.65 KB, patch)
2020-08-04 11:58 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26133: Remove GetMarcHosts (3.00 KB, patch)
2020-08-04 11:58 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26133: Remove GetMarc* calls in detail.pl (2.71 KB, patch)
2020-08-05 10:57 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26133: Remove GetMarcHosts (3.07 KB, patch)
2020-08-05 10:57 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2020-08-04 11:57:17 UTC
There are several calls in catalogue/detail.pl that can be removed:
GetMarcISBN, GetMarcAuthors, GetMarcSubjects, GetMarcSeries, GetMarcUrls and GetMarcHosts
They pass a variable to the template that is never used.
Comment 1 Jonathan Druart 2020-08-04 11:58:41 UTC
Created attachment 107748 [details] [review]
Bug 26133: Remove GetMarc* calls in detail.pl

There are several calls in catalogue/detail.pl that can be removed:
GetMarcISBN, GetMarcAuthors, GetMarcSubjects, GetMarcSeries, GetMarcUrls and GetMarcHosts
They pass a variable to the template that is never used.

Test plan:
Confirm that this TT variable is never used.
Comment 2 Jonathan Druart 2020-08-04 11:58:45 UTC
Created attachment 107749 [details] [review]
Bug 26133: Remove GetMarcHosts

We removed the single occurrence of this subroutine in the previous
patch
Comment 3 Martin Renvoize 2020-08-05 10:57:36 UTC
Created attachment 107826 [details] [review]
Bug 26133: Remove GetMarc* calls in detail.pl

There are several calls in catalogue/detail.pl that can be removed:
GetMarcISBN, GetMarcAuthors, GetMarcSubjects, GetMarcSeries, GetMarcUrls and GetMarcHosts
They pass a variable to the template that is never used.

Test plan:
Confirm that this TT variable is never used.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2020-08-05 10:57:40 UTC
Created attachment 107827 [details] [review]
Bug 26133: Remove GetMarcHosts

We removed the single occurrence of this subroutine in the previous
patch

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2020-08-05 10:58:51 UTC
Going straight for QA on this one.. verified the variables are not referenced in the relevant templates and done a little investigation to see when they were removed which yielded nothing of concern.

Passing QA
Comment 6 Jonathan Druart 2020-08-05 15:37:00 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 7 Lucas Gass 2020-08-13 18:09:47 UTC
backported to 20.05.x for 20.05.03
Comment 8 Aleisha Amohia 2020-08-16 21:36:54 UTC
enhancement, not backported to 19.11.x